/* Copyright (c) 2022, Qualcomm Innovation Center, Inc. All rights reserved.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

// $ATH_LICENSE_HW_HDR_C$
//
// DO NOT EDIT!  This file is automatically generated
//               These definitions are tied to a particular hardware layout


#ifndef _PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_H_
#define _PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_H_
#if !defined(__ASSEMBLER__)
#endif


// ################ START SUMMARY #################
//
//	Dword	Fields
//	0	number_of_symbols[15:0], nss_count[23:16], pilot_count[31:24]
//	1	pilot_0_evm[31:0]
//	2	pilot_1_evm[31:0]
//	3	pilot_2_evm[31:0]
//	4	pilot_3_evm[31:0]
//	5	pilot_4_evm[31:0]
//	6	pilot_5_evm[31:0]
//	7	pilot_6_evm[31:0]
//	8	pilot_7_evm[31:0]
//	9	pilot_8_evm[31:0]
//	10	pilot_9_evm[31:0]
//	11	pilot_10_evm[31:0]
//	12	pilot_11_evm[31:0]
//	13	pilot_12_evm[31:0]
//	14	pilot_13_evm[31:0]
//	15	pilot_14_evm[31:0]
//	16	pilot_15_evm[31:0]
//	17	pilot_16_evm[31:0]
//	18	pilot_17_evm[31:0]
//	19	pilot_18_evm[31:0]
//	20	pilot_19_evm[31:0]
//	21	pilot_20_evm[31:0]
//	22	pilot_21_evm[31:0]
//	23	pilot_22_evm[31:0]
//	24	pilot_23_evm[31:0]
//	25	pilot_24_evm[31:0]
//	26	pilot_25_evm[31:0]
//	27	pilot_26_evm[31:0]
//	28	pilot_27_evm[31:0]
//	29	pilot_28_evm[31:0]
//	30	pilot_29_evm[31:0]
//	31	pilot_30_evm[31:0]
//	32	pilot_31_evm[31:0]
//
// ################ END SUMMARY #################

#define NUM_OF_DWORDS_PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS 33

struct phyrx_other_receive_info_su_evm_details {
             uint32_t number_of_symbols               : 16, //[15:0]
                      nss_count                       :  8, //[23:16]
                      pilot_count                     :  8; //[31:24]
             uint32_t pilot_0_evm                     : 32; //[31:0]
             uint32_t pilot_1_evm                     : 32; //[31:0]
             uint32_t pilot_2_evm                     : 32; //[31:0]
             uint32_t pilot_3_evm                     : 32; //[31:0]
             uint32_t pilot_4_evm                     : 32; //[31:0]
             uint32_t pilot_5_evm                     : 32; //[31:0]
             uint32_t pilot_6_evm                     : 32; //[31:0]
             uint32_t pilot_7_evm                     : 32; //[31:0]
             uint32_t pilot_8_evm                     : 32; //[31:0]
             uint32_t pilot_9_evm                     : 32; //[31:0]
             uint32_t pilot_10_evm                    : 32; //[31:0]
             uint32_t pilot_11_evm                    : 32; //[31:0]
             uint32_t pilot_12_evm                    : 32; //[31:0]
             uint32_t pilot_13_evm                    : 32; //[31:0]
             uint32_t pilot_14_evm                    : 32; //[31:0]
             uint32_t pilot_15_evm                    : 32; //[31:0]
             uint32_t pilot_16_evm                    : 32; //[31:0]
             uint32_t pilot_17_evm                    : 32; //[31:0]
             uint32_t pilot_18_evm                    : 32; //[31:0]
             uint32_t pilot_19_evm                    : 32; //[31:0]
             uint32_t pilot_20_evm                    : 32; //[31:0]
             uint32_t pilot_21_evm                    : 32; //[31:0]
             uint32_t pilot_22_evm                    : 32; //[31:0]
             uint32_t pilot_23_evm                    : 32; //[31:0]
             uint32_t pilot_24_evm                    : 32; //[31:0]
             uint32_t pilot_25_evm                    : 32; //[31:0]
             uint32_t pilot_26_evm                    : 32; //[31:0]
             uint32_t pilot_27_evm                    : 32; //[31:0]
             uint32_t pilot_28_evm                    : 32; //[31:0]
             uint32_t pilot_29_evm                    : 32; //[31:0]
             uint32_t pilot_30_evm                    : 32; //[31:0]
             uint32_t pilot_31_evm                    : 32; //[31:0]
};

/*

number_of_symbols
			
			The number of symbols over which this EVM measurement
			was done
			
			<legal all>

nss_count
			
			The number of Spatial Streams in this SU reception.
			
			<legal 1-8>

pilot_count
			
			The number of pilots captured per Spatial Stream in this
			log
			
			<legal 1-32>

pilot_0_evm
			
			
			
			
			Example mapping of Nss and pilots to the evm fields:
			
			With NSS_count = 2, Pilot_count = 3
			
			Pilot_0_evm => NSS 0, Pilot 0
			
			Pilot_1_evm => NSS 1, Pilot 0
			
			Pilot_2_evm => NSS 0, Pilot 1
			
			Pilot_3_evm => NSS 1, Pilot 1
			
			Pilot_4_evm => NSS 0, Pilot 2
			
			Pilot_5_evm => NSS 1, Pilot 2
			
			
			
			<legal all>

pilot_1_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_2_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_3_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_4_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_5_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_6_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_7_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_8_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_9_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_10_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_11_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_12_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_13_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_14_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_15_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_16_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_17_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_18_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_19_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_20_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_21_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_22_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_23_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_24_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_25_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_26_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_27_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_28_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_29_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_30_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>

pilot_31_evm
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/


/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NUMBER_OF_SYMBOLS
			
			The number of symbols over which this EVM measurement
			was done
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NUMBER_OF_SYMBOLS_OFFSET 0x00000000
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NUMBER_OF_SYMBOLS_LSB 0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NUMBER_OF_SYMBOLS_MASK 0x0000ffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NSS_COUNT
			
			The number of Spatial Streams in this SU reception.
			
			<legal 1-8>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NSS_COUNT_OFFSET   0x00000000
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NSS_COUNT_LSB      16
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_NSS_COUNT_MASK     0x00ff0000

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_PILOT_COUNT
			
			The number of pilots captured per Spatial Stream in this
			log
			
			<legal 1-32>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_PILOT_COUNT_OFFSET 0x00000000
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_PILOT_COUNT_LSB    24
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_0_PILOT_COUNT_MASK   0xff000000

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_1_PILOT_0_EVM
			
			
			
			
			Example mapping of Nss and pilots to the evm fields:
			
			With NSS_count = 2, Pilot_count = 3
			
			Pilot_0_evm => NSS 0, Pilot 0
			
			Pilot_1_evm => NSS 1, Pilot 0
			
			Pilot_2_evm => NSS 0, Pilot 1
			
			Pilot_3_evm => NSS 1, Pilot 1
			
			Pilot_4_evm => NSS 0, Pilot 2
			
			Pilot_5_evm => NSS 1, Pilot 2
			
			
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_1_PILOT_0_EVM_OFFSET 0x00000004
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_1_PILOT_0_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_1_PILOT_0_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_2_PILOT_1_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_2_PILOT_1_EVM_OFFSET 0x00000008
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_2_PILOT_1_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_2_PILOT_1_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_3_PILOT_2_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_3_PILOT_2_EVM_OFFSET 0x0000000c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_3_PILOT_2_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_3_PILOT_2_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_4_PILOT_3_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_4_PILOT_3_EVM_OFFSET 0x00000010
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_4_PILOT_3_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_4_PILOT_3_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_5_PILOT_4_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_5_PILOT_4_EVM_OFFSET 0x00000014
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_5_PILOT_4_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_5_PILOT_4_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_6_PILOT_5_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_6_PILOT_5_EVM_OFFSET 0x00000018
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_6_PILOT_5_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_6_PILOT_5_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_7_PILOT_6_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_7_PILOT_6_EVM_OFFSET 0x0000001c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_7_PILOT_6_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_7_PILOT_6_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_8_PILOT_7_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_8_PILOT_7_EVM_OFFSET 0x00000020
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_8_PILOT_7_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_8_PILOT_7_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_9_PILOT_8_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_9_PILOT_8_EVM_OFFSET 0x00000024
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_9_PILOT_8_EVM_LSB    0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_9_PILOT_8_EVM_MASK   0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_10_PILOT_9_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_10_PILOT_9_EVM_OFFSET 0x00000028
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_10_PILOT_9_EVM_LSB   0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_10_PILOT_9_EVM_MASK  0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_11_PILOT_10_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_11_PILOT_10_EVM_OFFSET 0x0000002c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_11_PILOT_10_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_11_PILOT_10_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_12_PILOT_11_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_12_PILOT_11_EVM_OFFSET 0x00000030
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_12_PILOT_11_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_12_PILOT_11_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_13_PILOT_12_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_13_PILOT_12_EVM_OFFSET 0x00000034
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_13_PILOT_12_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_13_PILOT_12_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_14_PILOT_13_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_14_PILOT_13_EVM_OFFSET 0x00000038
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_14_PILOT_13_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_14_PILOT_13_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_15_PILOT_14_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_15_PILOT_14_EVM_OFFSET 0x0000003c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_15_PILOT_14_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_15_PILOT_14_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_16_PILOT_15_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_16_PILOT_15_EVM_OFFSET 0x00000040
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_16_PILOT_15_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_16_PILOT_15_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_17_PILOT_16_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_17_PILOT_16_EVM_OFFSET 0x00000044
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_17_PILOT_16_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_17_PILOT_16_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_18_PILOT_17_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_18_PILOT_17_EVM_OFFSET 0x00000048
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_18_PILOT_17_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_18_PILOT_17_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_19_PILOT_18_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_19_PILOT_18_EVM_OFFSET 0x0000004c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_19_PILOT_18_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_19_PILOT_18_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_20_PILOT_19_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_20_PILOT_19_EVM_OFFSET 0x00000050
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_20_PILOT_19_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_20_PILOT_19_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_21_PILOT_20_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_21_PILOT_20_EVM_OFFSET 0x00000054
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_21_PILOT_20_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_21_PILOT_20_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_22_PILOT_21_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_22_PILOT_21_EVM_OFFSET 0x00000058
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_22_PILOT_21_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_22_PILOT_21_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_23_PILOT_22_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_23_PILOT_22_EVM_OFFSET 0x0000005c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_23_PILOT_22_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_23_PILOT_22_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_24_PILOT_23_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_24_PILOT_23_EVM_OFFSET 0x00000060
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_24_PILOT_23_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_24_PILOT_23_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_25_PILOT_24_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_25_PILOT_24_EVM_OFFSET 0x00000064
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_25_PILOT_24_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_25_PILOT_24_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_26_PILOT_25_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_26_PILOT_25_EVM_OFFSET 0x00000068
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_26_PILOT_25_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_26_PILOT_25_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_27_PILOT_26_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_27_PILOT_26_EVM_OFFSET 0x0000006c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_27_PILOT_26_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_27_PILOT_26_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_28_PILOT_27_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_28_PILOT_27_EVM_OFFSET 0x00000070
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_28_PILOT_27_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_28_PILOT_27_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_29_PILOT_28_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_29_PILOT_28_EVM_OFFSET 0x00000074
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_29_PILOT_28_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_29_PILOT_28_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_30_PILOT_29_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_30_PILOT_29_EVM_OFFSET 0x00000078
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_30_PILOT_29_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_30_PILOT_29_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_31_PILOT_30_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_31_PILOT_30_EVM_OFFSET 0x0000007c
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_31_PILOT_30_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_31_PILOT_30_EVM_MASK 0xffffffff

/* Description		PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_32_PILOT_31_EVM
			
			
			
			
			See Pilot_0_evm descriptions details for mapping info
			
			<legal all>
*/
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_32_PILOT_31_EVM_OFFSET 0x00000080
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_32_PILOT_31_EVM_LSB  0
#define PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_32_PILOT_31_EVM_MASK 0xffffffff


#endif // _PHYRX_OTHER_RECEIVE_INFO_SU_EVM_DETAILS_H_
